#include "finestraprincipal.h"
#include "ui_finestraprincipal.h"
#include <QDebug>
#include <QFileDialog>

FinestraPrincipal::FinestraPrincipal(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::FinestraPrincipal)
{
    ui->setupUi(this);
    gep = new GinyEtiquetaPrincipal;
    setCentralWidget(gep);
}

FinestraPrincipal::~FinestraPrincipal()
{
    delete ui;
}

void FinestraPrincipal::on_action_Surt_triggered()
{
    qDebug() << tr("Acció surt");
}

void FinestraPrincipal::on_actionSur_t_triggered()
{
    qDebug() << tr("2a acció surt");
    close();
}

void FinestraPrincipal::on_actionM_s_triggered()
{
    gep->vSlotSetNum(gep->nNum()+1);
}

void FinestraPrincipal::on_actionMenys_triggered()
{
    gep->vSlotSetNum(gep->nNum()-1);
}

void FinestraPrincipal::on_actionS_elecciona_triggered()
{
    QString fileName = QFileDialog::getOpenFileName(this,
          tr("Open Image"), "/home/ecat/Imatges", tr("Image Files (*.png *.jpg *.bmp)"));

    qDebug() << fileName;
    if (fileName != ""){
        gep->vSetImatge(fileName);
    }
}
