#include "ginyetiquetaprincipal.h"
#include "ui_ginyetiquetaprincipal.h"

GinyEtiquetaPrincipal::GinyEtiquetaPrincipal(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::GinyEtiquetaPrincipal)
{
    ui->setupUi(this);
    nCmpt = 0;
}

GinyEtiquetaPrincipal::~GinyEtiquetaPrincipal()
{
    delete ui;
}

int GinyEtiquetaPrincipal::nNum(){
    return nCmpt;
}

void GinyEtiquetaPrincipal::vSlotSetNum(int n){
    nCmpt = n;
    ui->etNum->setNum(nCmpt);
}

void GinyEtiquetaPrincipal::vEsborra(){
    ui->etNum->setText("");
}

void GinyEtiquetaPrincipal::vSetImatge(QString qszFileName){
    vEsborra();
    QPixmap pix(qszFileName);
    ui->etNum->setPixmap(pix);
}
